package br.com.stoneage.identify.identify_sdk_flutter.models

import br.com.stoneage.identify.models.LivenessResult as NativeResult

/** Generated class from Pigeon that represents data sent in messages. */
data class LivenessResult(
    val probability: Double? = null
) {
    companion object {
        fun fromList(list: List<Any?>): LivenessResult {
            val probability = list[0] as Double?
            return LivenessResult(probability)
        }

        fun fromNativeResult(result: NativeResult?): LivenessResult? {
            return result?.let {
                LivenessResult(
                    probability = it.probability,
                )
            }
        }
    }

    fun toList(): List<Any?> {
        return listOf<Any?>(
            probability,
        )
    }
}