package br.com.stoneage.identify.identify_sdk_flutter.utils

import br.com.stoneage.identify.identify_sdk_flutter.errors.FlutterError

object WrappingUtils {
    fun wrapResult(result: Any?): List<Any?> {
        return listOf(result)
    }

    fun wrapError(exception: Throwable): List<Any?> {
        return if (exception is FlutterError) {
            listOf(
                exception.code,
                exception.message,
                exception.details
            )
        } else {
            listOf(
                exception.javaClass.simpleName,
                exception.message,
                exception
            )
        }
    }
}