import STAIdentify

enum DocumentCaptureModeEnum: Int {
    case manual = 0
    case automatic = 1
}

extension DocumentCaptureModeEnum {
    func toSTACaptureMode() -> STADocumentCaptureMode {
        switch self {
        case .manual:
            return .manual
        case .automatic:
            return .automatic
        }
    }
}
