import STAIdentify

extension STACollectDocumentSuccess {
    func toCollectDocumentResult() -> CollectDocumentResult {
        return CollectDocumentResult(documentType: self.documentImageResult.documentType.toDocumentTypeEnum(),
                                     documentInfo: self.documentImageResult.documentInfo.map { $0.toDocumentInfo() },
                                     image: self.documentImage.base64,
                                     requestId: self.requestId,
                                     optionalValidations: self.optionalValidations?.toFlutterOptionalValidations())
    }
}
