import Flutter
import Foundation

public class IdentifySdkFlutterPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let messenger = registrar.messenger()

        IdentifySdkPluginCoreSetup.setUp(binaryMessenger: messenger, api: IdentifySdkPluginCoreImpl())
        IdentifySdkPluginDocumentSetup.setUp(binaryMessenger: messenger, api: IdentifySdkPluginDocumentImpl())
        IdentifySdkPluginSelfieSetup.setUp(binaryMessenger: messenger, api: IdentifySdkPluginSelfieImpl())
        IdentifySdkPluginOcrSetup.setUp(binaryMessenger: messenger, api: IdentifySdkPluginOcrImpl())
        IdentifySdkPluginDeviceInformationSetup.setUp(binaryMessenger: messenger,
                                                      api: IdentifySdkPluginDeviceInformationImpl())
    }
}
