/// Generated class from Pigeon that represents data sent in messages.
struct CollectSelfieResult {
    var requestId: String
    var selfie: SelfieInfo
    var optionalValidations: SelfieOptionalValidations? = nil

    static func fromList(_ list: [Any?]) -> CollectSelfieResult? {
        let requestId = list[0] as! String
        let selfie = SelfieInfo.fromList(list[1] as! [Any?])!
        var optionalValidations: SelfieOptionalValidations? = nil
        if let optionalValidationsList: [Any?] = WrappingUtils.nilOrValue(list[2]) {
            optionalValidations = SelfieOptionalValidations.fromList(optionalValidationsList)
        }

        return CollectSelfieResult(
            requestId: requestId,
            selfie: selfie,
            optionalValidations: optionalValidations
        )
    }
    
    func toList() -> [Any?] {
        return [
            requestId,
            selfie.toList(),
            optionalValidations?.toList(),
        ]
    }
}
