/// Generated class from Pigeon that represents data sent in messages.
struct CollectDocumentException: IdentifyNativeError {
    var code: IdentifyErrorCodeEnum = .collectDocumentValidationError
    var message: String
    var validationErrors: [DocumentValidationErrorEnum]? = nil

    static func fromList(_ list: [Any?]) -> IdentifyNativeError? {
        let code = IdentifyErrorCodeEnum(rawValue: list[0] as! Int)!
        let message = list[1] as! String
        let validationErrors: [DocumentValidationErrorEnum]? = WrappingUtils.nilOrValue(list[2])

        return CollectDocumentException(
            code: code,
            message: message,
            validationErrors: validationErrors
        )
    }
    func toList() -> [Any?] {
        return [
            code.rawValue,
            message,
            validationErrors?.map { $0.rawValue },
        ]
    }
}
