/// Class that represent document ocr optional validation result
class DocumentOptionalValidationsOcr {
  /// @nodoc
  DocumentOptionalValidationsOcr({
    required this.requestId,
  });

  /// Request ID to be used in [collectOcr] request.
  String requestId;

  /// @nodoc
  Object encode() {
    return <Object?>[
      requestId,
    ];
  }

  /// @nodoc
  static DocumentOptionalValidationsOcr decode(Object result) {
    result as List<Object?>;
    return DocumentOptionalValidationsOcr(
      requestId: result[0]! as String,
    );
  }
}
