import 'all.dart';

/// Class that represent all document optional validations requested.
class DocumentOptionalValidationsResult {
  /// @nodoc
  DocumentOptionalValidationsResult({
    this.ocr,
  });

  /// Ocr validation info
  DocumentOptionalValidationsOcr? ocr;

  /// @nodoc
  Object encode() {
    return <Object?>[
      ocr?.encode(),
    ];
  }

  /// @nodoc
  static DocumentOptionalValidationsResult decode(Object result) {
    result as List<Object?>;
    return DocumentOptionalValidationsResult(
      ocr: result[0] != null
          ? DocumentOptionalValidationsOcr.decode(result[0]! as List<Object?>)
          : null,
    );
  }
}
