/// Liveness success result.
class LivenessResult {
  /// @nodoc
  LivenessResult({
    this.probability,
  });

  /// Number between 0 and 1 that represents the probability that the selfie
  /// taken belongs to a real person.
  double? probability;

  /// @nodoc
  Object encode() {
    return <Object?>[
      probability,
    ];
  }

  /// @nodoc
  static LivenessResult decode(Object result) {
    result as List<Object?>;
    return LivenessResult(
      probability: result[0] as double?,
    );
  }
}
