# Identify Flutter

Esta biblioteca possui as funcionalidades do Identify SDK em Flutter. Ela foi desenvolvida em com o intuito de facilitar e abstrair a implementação das bibliotecas nativas [Android](https://identifydocs.stoneage.com.br/android/) e [iOS](https://identifydocs.stoneage.com.br/ios/docs/latest/). Nesta biblioteca, é possível realizar validações de Prova de Vida, Captura de Documento e Captura de Informações do Dispositivo.

## Começando a usar

Utilize o comando abaixo para instalar a biblioteca:

```shell
dart pub add identify_sdk_flutter
```

Em seguida, siga o tutorial descrito na [Documentação de Configuração](https://identifydocs.stoneage.com.br/flutter/next/comecando-usar#instalando-a-biblioteca).

Inicialize a biblioteca utilizando `IdentifySdkFlutter.initializeSession()` com o _token_ de SDK obtido na [Rota de SDK Token da API do Identify](https://identifydocs.stoneage.com.br/webapp/api/v2/#operation/sdk_token.get.api/v2/sdk/token/%7BaccountId%7D).

## Documentação

Para mais informações, consulte o site da [Documentação do Identify](https://identifydocs.stoneage.com.br/) e da [Documentação do SDK Flutter](https://identifydocs.stoneage.com.br/flutter).

## Contato

Para contato, envie um e-mail para: [identify@stoneage.com.br](mailto:identify@stoneage.com.br).