package br.com.stoneage.identify.identify_sdk_flutter.models

import br.com.stoneage.identify.models.AgeRange as NativeResult

/** Generated class from Pigeon that represents data sent in messages. */
data class AgeRange(
    val min: Int,
    val max: Int
) {
    companion object {
        fun fromList(list: List<Any?>): AgeRange {
            val min = list[0] as Int
            val max = list[1] as Int
            return AgeRange(min, max)
        }

        fun fromNativeResult(result: NativeResult): AgeRange {
            return AgeRange(
                min = result.min,
                max = result.max,
            )
        }
    }

    fun toList(): List<Any?> {
        return listOf<Any?>(
            min,
            max,
        )
    }
}