package br.com.stoneage.identify.identify_sdk_flutter.models

import br.com.stoneage.identify.models.DocumentOcrOptionalValidationResult as NativeResult;

/** Generated class from Pigeon that represents data sent in messages. */
data class DocumentOptionalValidationsOcr(
    val requestId: String
) {
    companion object {
        fun fromList(list: List<Any?>): DocumentOptionalValidationsOcr {
            val requestId = list[0] as String
            return DocumentOptionalValidationsOcr(requestId)
        }

        fun fromNativeResult(ocr: NativeResult?): DocumentOptionalValidationsOcr? {
            return ocr?.let {
                DocumentOptionalValidationsOcr(requestId = it.requestId!!)
            }
        }
    }

    fun toList(): List<Any?> {
        return listOf<Any?>(
            requestId,
        )
    }
}