package br.com.stoneage.identify.identify_sdk_flutter.models

import br.com.stoneage.identify.models.DocumentOptionalValidationsResult as NativeResult;

/** Generated class from Pigeon that represents data sent in messages. */
data class DocumentOptionalValidationsResult(
    val ocr: DocumentOptionalValidationsOcr?
) {
    companion object {
        fun fromList(list: List<Any?>): DocumentOptionalValidationsResult {
            val ocr = (list[0] as List<Any?>?)?.let { DocumentOptionalValidationsOcr.fromList(it) }
            return DocumentOptionalValidationsResult(ocr)
        }

        fun fromNativeResult(optionalValidations: NativeResult?): DocumentOptionalValidationsResult? {
            return optionalValidations?.let {
                DocumentOptionalValidationsResult(
                    ocr = DocumentOptionalValidationsOcr.fromNativeResult(it.ocr)
                )
            }
        }
    }

    fun toList(): List<Any?> {
        return listOf<Any?>(
            ocr?.toList(),
        )
    }
}