import STAIdentify

enum DocumentSideEnum: Int {
    case documentFront = 0
    case documentBack = 1
}

extension DocumentSideEnum {
    func toSTADocumentSide() -> STADocumentSide {
        switch self {
        case .documentBack:
            return .back
        case .documentFront:
            return .front
        }
    }
}
