import STAIdentify

extension STABiometricValidationResult {
    func toBiometricResult() -> BiometricResult {
        return BiometricResult(
            isAvailable: self.isAvailable,
            identityConfirmationProbability:
                self.identityConfirmationProbability?.toBiometricValidationProbabilityEnum(),
            serviceProviderAvailable: self.serviceProviderAvailable,
            similarity: self.similarity.map { Double($0) }
        )
    }
}
