import STAIdentify

extension STACollectDocumentError {
    func toDocumentValidationErrorEnum() -> DocumentValidationErrorEnum {
        switch self {
        case .imageNotGoodEnough:
            return .imageNotGoodEnough
        case .documentNotDetected:
            return .documentNotDetected
        case .noFaceDetected:
            return .noFaceDetected
        case .tooManyFaces:
            return .tooManyFaces
        case .documentFrontDetected:
            return .documentFrontDetected
        case .documentBackDetected:
            return .documentBackDetected
        case .noDocumentSideDetected:
            return .noDocumentSideDetected
        case .multipleDocuments:
            return .multipleDocuments
        case .croppedDocument:
            return .croppedDocument
        case .openedDocument:
            return .openedDocument
        case .documentTypeNotAllowed:
            return .documentTypeNotAllowed
        case .digitalDocumentCertificateNotOk:
            return .unknownError
        case .unknownError:
            return .unknownError
        }
    }
}
