import STAIdentify

extension STADocumentInfo {
    func toDocumentInfo() -> DocumentInfo {
        return DocumentInfo(
            confidence: self.confidence,
            cropping: self.cropping?.toDocumentCropping() ?? DocumentCropping(success: false),
            boundingBox: self.boundingBox.toBoundingBox(),
            classification: self.classification?.toDocumentClassificationEnum(),
            documentSide: self.documentSide?.toDocumentSideEnum(),
            documentName: self.documentName
        )
    }
}
