import STAIdentify

extension STADocumentOcrSuccess {
    func toCollectOcrResult() -> CollectOcrResult {
        switch self.status {
        case .finished(let documentOcr):
            return CollectOcrResult(status: .finished, ocrInfo: documentOcr.toOcrInfo())
        case .inProgress(msg: let msg):
            return CollectOcrResult(status: .inProgress, msg: msg)
        }
    }
}
