/// Generated class from Pigeon that represents data sent in messages.
struct AgeRange {
    var min: Int64
    var max: Int64

    static func fromList(_ list: [Any?]) -> AgeRange? {
        let min = list[0] is Int64 ? list[0] as! Int64 : Int64(list[0] as! Int32)
        let max = list[1] is Int64 ? list[1] as! Int64 : Int64(list[1] as! Int32)

        return AgeRange(
            min: min,
            max: max
        )
    }
    
    func toList() -> [Any?] {
        return [
            min,
            max,
        ]
    }
}
