/// Generated class from Pigeon that represents data sent in messages.
struct BoundingBox {
    var centerX: Double
    var centerY: Double
    var height: Double
    var width: Double

    static func fromList(_ list: [Any?]) -> BoundingBox? {
        let centerX = list[0] as! Double
        let centerY = list[1] as! Double
        let height = list[2] as! Double
        let width = list[3] as! Double

        return BoundingBox(
            centerX: centerX,
            centerY: centerY,
            height: height,
            width: width
        )
    }
    func toList() -> [Any?] {
        return [
            centerX,
            centerY,
            height,
            width,
        ]
    }
}
