/// Generated class from Pigeon that represents data sent in messages.
struct CollectOcrResult {
    var status: OcrStatusEnum
    var ocrInfo: OcrInfo? = nil
    var msg: String? = nil

    static func fromList(_ list: [Any?]) -> CollectOcrResult? {
        let status = OcrStatusEnum(rawValue: list[0] as! Int)!
        var ocrInfo: OcrInfo? = nil
        if let ocrInfoList: [Any?] = WrappingUtils.nilOrValue(list[1]) {
            ocrInfo = OcrInfo.fromList(ocrInfoList)
        }
        let msg: String? = WrappingUtils.nilOrValue(list[2])

        return CollectOcrResult(
            status: status,
            ocrInfo: ocrInfo,
            msg: msg
        )
    }

    func toList() -> [Any?] {
        return [
            status.rawValue,
            ocrInfo?.toList(),
            msg,
        ]
    }
}
