/// Generated class from Pigeon that represents data sent in messages.
struct CollectSelfieParameters {
    var validateLiveness: Bool? = nil
    var biometricValidationCpf: String? = nil

    static func fromList(_ list: [Any?]) -> CollectSelfieParameters? {
        let validateLiveness: Bool? = WrappingUtils.nilOrValue(list[0])
        let biometricValidationCpf: String? = WrappingUtils.nilOrValue(list[1])

        return CollectSelfieParameters(
            validateLiveness: validateLiveness,
            biometricValidationCpf: biometricValidationCpf
        )
    }
    
    func toList() -> [Any?] {
        return [
            validateLiveness,
            biometricValidationCpf,
        ]
    }
}
