/// Generated class from Pigeon that represents data sent in messages.
struct DocumentCropping {
    var success: Bool
    var isCropped: Bool? = nil
    var confidence: Double? = nil

    static func fromList(_ list: [Any?]) -> DocumentCropping? {
        let success = list[0] as! Bool
        let isCropped: Bool? = WrappingUtils.nilOrValue(list[1])
        let confidence: Double? = WrappingUtils.nilOrValue(list[2])

        return DocumentCropping(
            success: success,
            isCropped: isCropped,
            confidence: confidence
        )
    }
    func toList() -> [Any?] {
        return [
            success,
            isCropped,
            confidence,
        ]
    }
}
