/// Generated class from Pigeon that represents data sent in messages.
struct IdentifyException: IdentifyNativeError {
    var code: IdentifyErrorCodeEnum
    var message: String

    static func fromList(_ list: [Any?]) -> IdentifyNativeError? {
        let code = IdentifyErrorCodeEnum(rawValue: list[0] as! Int)!
        let message = list[1] as! String

        return IdentifyException(
            code: code,
            message: message
        )
    }
    func toList() -> [Any?] {
        return [
            code.rawValue,
            message,
        ]
    }
}
