/// Generated class from Pigeon that represents data sent in messages.
struct IosOnlyDeviceInformation {
    var deviceName: String
    var regionCode: String? = nil
    var fullAccuracyPermission: Bool? = nil

    static func fromList(_ list: [Any?]) -> IosOnlyDeviceInformation? {
        let deviceName = list[0] as! String
        let regionCode: String? = WrappingUtils.nilOrValue(list[1])
        let fullAccuracyPermission: Bool? = WrappingUtils.nilOrValue(list[2])

        return IosOnlyDeviceInformation(
            deviceName: deviceName,
            regionCode: regionCode,
            fullAccuracyPermission: fullAccuracyPermission
        )
    }
    func toList() -> [Any?] {
        return [
            deviceName,
            regionCode,
            fullAccuracyPermission,
        ]
    }
}
