/// Generated class from Pigeon that represents data sent in messages.
struct SelfieInfo {
    var image: String
    var ageRange: AgeRange
    var brightness: Double
    var confidence: Double
    var sharpness: Double

    static func fromList(_ list: [Any?]) -> SelfieInfo? {
        let image = list[0] as! String
        let ageRange = AgeRange.fromList(list[1] as! [Any?])!
        let brightness = list[2] as! Double
        let confidence = list[3] as! Double
        let sharpness = list[4] as! Double

        return SelfieInfo(
            image: image,
            ageRange: ageRange,
            brightness: brightness,
            confidence: confidence,
            sharpness: sharpness
        )
    }
    
    func toList() -> [Any?] {
        return [
            image,
            ageRange.toList(),
            brightness,
            confidence,
            sharpness,
        ]
    }
}
