/// Generated class from Pigeon that represents data sent in messages.
struct SelfieOptionalValidations {
    var livenessResult: LivenessResult? = nil
    var biometricResult: BiometricResult? = nil

    static func fromList(_ list: [Any?]) -> SelfieOptionalValidations? {
        var livenessResult: LivenessResult? = nil
        if let livenessResultList: [Any?] = WrappingUtils.nilOrValue(list[0]) {
            livenessResult = LivenessResult.fromList(livenessResultList)
        }
        var biometricResult: BiometricResult? = nil
        if let biometricResultList: [Any?] = WrappingUtils.nilOrValue(list[1]) {
            biometricResult = BiometricResult.fromList(biometricResultList)
        }

        return SelfieOptionalValidations(
            livenessResult: livenessResult,
            biometricResult: biometricResult
        )
    }
    
    func toList() -> [Any?] {
        return [
            livenessResult?.toList(),
            biometricResult?.toList(),
        ]
    }
}
