import STAIdentify

class IdentifySdkPluginOcrImpl: IdentifySdkPluginOcr {
    func collect(requestId: String, completion: @escaping (Result<CollectOcrResult, Error>) -> Void) {
        STACollectDocumentOcr.collectDocumentOcr(requestId) { result in
            switch result {
            case .success(let ocrSuccess):
                completion(.success(ocrSuccess.toCollectOcrResult()))
            case .failure(let error):
                completion(.failure(error.mapToNativeError()))
            }
        }
    }
}
