/// Enumeration of all available types of documents.
enum DocumentTypeEnum {
  /// ID card.
  rg,

  /// Driver's license.
  cnh,

  /// Brazilian national migration registration document (CRNM).
  rne,

  /// Brazilian national ID Card.
  cin,

  /// Unknown document.
  unknownDocument,

  /// Multiple documents detected.
  multipleDocuments,

  /// No document detected.
  noDocument,
}
